### GET /stakeholder-comms/cloudId/{cloudId}/api/stakeholders/list
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Get a list of stakeholders.
```markdown
### Parameters
- **status** (string, query, optional): Filter by stakeholder status.
- **type** (string, query, optional): Filter by stakeholder type.
- **searchField** (string, query, optional): Field to search on.
- **searchValue** (string, query, optional): Value to search for.
- **orderBy** (string, query, optional): Field to order results by.
- **descending** (boolean, query, optional): Order results in descending order.
- **first** (integer (int32), query, optional): Number of items to return from the start.
- **after** (string, query, optional): Cursor for forward pagination.
- **last** (integer (int32), query, optional): Number of items to return from the end.
- **before** (string, query, optional): Cursor for backward pagination.
### Responses
#### 200 - Returned if the request is successful.
**StakeholderCommsStakeholderConnectionResponse**
- **connection** (object): Connection-style response for listing stakeholders.
- **nodes** (array (StakeholderCommsStakeholder))
Array items:
- **id** (string): Unique identifier of the stakeholder.
- **ari** (string): Atlassian Resource Identifier for the stakeholder.
- **aaid** (string): Atlassian Account ID.
- **stakeholderGroupId** (string): Group the stakeholder belongs to.
- **atlassianTeamId** (string): Atlassian team ID.
- **type** (string (EXTERNAL|INTERNAL|GROUP|TEAM)): Type of the stakeholder. ("EXTERNAL"|"INTERNAL"|"GROUP"|"TEAM")
- **skipConfirmation** (boolean): Whether confirmation was skipped for this stakeholder.
- **status** (string (ACTIVE|PENDING_IDENTITY_SETUP|INVITED|INVITED_PENDING_APPROVAL|NOT_INVITED|QUARANTINED|DELETED)): Status of the stakeholder. ("ACTIVE"|"PENDING_IDENTITY_SETUP"|"INVITED"|"INVITED_PENDING_APPROVAL"|"NOT_INVITED"|"QUARANTINED"|"DELETED")
- **notificationPreference** (object): Notification preference details for a stakeholder.
- **id** (string): Identifier of the notification preference.
- **emailId** (string): Email address for notifications.
- **phoneNumber** (string): Phone number for SMS notifications.
- **phoneCountry** (string): Country code for the phone number.
- **webhook** (string): Webhook URL for notifications.
- **preference** (object): Per-channel notification enablement settings.
- **email** (object)
- **enabled** (boolean)
- **sms** (object)
- **webhook** (object)
- **insertedAt** (string (date-time)): When the preference was created.
- **updatedAt** (string (date-time)): When the preference was last updated.
- **insertedAt** (string (date-time)): When the stakeholder was created.
- **updatedAt** (string (date-time)): When the stakeholder was last updated.
- **name** (string): Display name of the stakeholder (from identity provider).
- **avatar** (string): Avatar URL for the stakeholder.
- **groups** (array (StakeholderCommsStakeholderGroupRef)): Groups the stakeholder belongs to.
Array items:
- **id** (string): Identifier of the group.
- **name** (string): Name of the group.
- **avatar** (string): Avatar URL for the group.
- **pageInfo** (object): Pagination information.
- **hasNextPage** (boolean): Whether there is another page of results.
- **endCursor** (string): Cursor for the end of the current page.
- **totalCount** (integer (int32)): Total number of stakeholders matching the filter.
- **error** (string): Error message, if the operation was not successful.
#### 400 - Returned if the request is invalid.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 401 - Returned if the authentication credentials are incorrect.
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the user does not have permission to list stakeholders.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 500 - Returned if an internal server error occurs.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X GET "https://api.atlassian.com/jsm/ops//stakeholder-comms/cloudId/{cloudId}/api/stakeholders/list?status=string&type=string&searchField=string&searchValue=string&orderBy=string&descending=true&first=0&after=string&last=0&before=string"
```
```
--------------------------------
### Schema: StartDate
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Date and time when the maintenance plan starts.
```markdown
## Schema: StartDate
Date and time when the maintenance plan starts.
**Type:** string
```
--------------------------------
### GET /api/{cloudId}/v1/schedules/{scheduleId}.ics
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Exports the timeline in the calendar (.ics) format for the schedule with given id in the request. The time range of the export starts from the beginning of the current month and ends one year after the start date.
**Permissions required:** Permission to access to the schedule:
- the user has read-only administrative right.
- the schedule's assigned team is one of the teams that the user belongs to.
- the user is added to a rotation of the schedule as a responder.
- a team is added to a rotation of the schedule as a responder, and the user is a member of this team.
- an escalation is added to a rotation of the schedule as a responder, and the user is a member of this escalation.
- there is an override to the user in the schedule.
```markdown
### Parameters
- **scheduleId** (string, path, required): ID of the schedule.
### Responses
#### 200 - Returned if the request is successful.
#### 401 - Returned if the authentication credentials are incorrect.
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the requesting user does not have permission to view the schedule.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 404 - Returned if the schedule is not found.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X GET "https://api.atlassian.com/jsm/ops//api/{cloudId}/v1/schedules/{scheduleId}.ics"
```
```
--------------------------------
### Schema: SyncActionMetadataDto
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
List of sync actions.
```markdown
## Schema: SyncActionMetadataDto
List of sync actions.
**Type:** object
- **id** (string): Id of the action.
- **name** (string): Name of the action.
- **type** (string): Type of the action.
- **enabled** (boolean): Enabled status of the action.
- **order** (number (float)): Order of the action.
- **direction** (string (incoming|outgoing)): Direction of the action. ("incoming"|"outgoing")
- **actionGroupId** (string): Id of the action group that the action belongs to.
```
--------------------------------
### Schema: SyncMetadata
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
List of syncs.
```markdown
## Schema: SyncMetadata
List of syncs.
**Type:** object
- **id** (string): Id of the sync.
- **name** (string): Name of the sync.
- **type** (string): Type of the sync. (For instance, "jira-software-cloud" for Jira Software Cloud Sync.)
- **enabled** (boolean): This parameter is for specifying whether the sync will be enabled or not. Defaults to false
- **teamId** (string): Owner team of the sync, consisting id of the owner team.
```
--------------------------------
### GET /stakeholder-comms/cloudId/{cloudId}/api/assignments/by_stakeholder/v2
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Get assignments for a stakeholder with pagination support.
```markdown
### Parameters
- **stakeholderId** (string, query, optional): Identifier of the stakeholder.
- **ari** (string, query, optional): Atlassian Resource Identifier of the stakeholder.
- **aaid** (string, query, optional): Atlassian Account ID of the stakeholder.
- **emailId** (string, query, optional): Email address of the stakeholder.
- **stakeholderGroupId** (string, query, optional): Stakeholder group identifier.
- **atlassianTeamId** (string, query, optional): Atlassian team identifier.
- **stakeholderType** (string, query, optional): Type of the stakeholder.
- **first** (integer (int32), query, optional): Number of items to return from the start.
- **after** (string, query, optional): Cursor for forward pagination.
- **last** (integer (int32), query, optional): Number of items to return from the end.
- **before** (string, query, optional): Cursor for backward pagination.
### Responses
#### 200 - Returned if the request is successful.
**StakeholderCommsAssignmentPaginatedResponse**
- **assignments** (array (StakeholderCommsAssignment))
Array items:
- **id** (string): Identifier of the assignment.
- **ari** (string): Atlassian Resource Identifier for the assignment.
- **assignmentType** (string (INCIDENT|SITE|ORG|PAGE|PRODUCT|ASSET|SERVICES)): Type of the assignment. ("INCIDENT"|"SITE"|"ORG"|"PAGE"|"PRODUCT"|"ASSET"|"SERVICES")
- **addedFrom** (string (STATUSPAGE|JSM)): Source from which the assignment was added. ("STATUSPAGE"|"JSM")
- **externalAssignmentId** (string): Identifier in the external system.
- **insertedAt** (string (date-time)): When the assignment was created.
- **updatedAt** (string (date-time)): When the assignment was last updated.
- **pageInfo** (object): Pagination information.
- **hasNextPage** (boolean): Whether there is another page of results.
- **endCursor** (string): Cursor for the end of the current page.
- **hasPreviousPage** (boolean): Whether there is a previous page of results.
- **startCursor** (string): Cursor for the start of the current page.
- **totalCount** (integer (int32)): Total number of assignments.
- **error** (string): Error message, if the operation was not successful.
#### 400 - Returned if the request is invalid.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 401 - Returned if the authentication credentials are incorrect.
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the user does not have permission to view assignments.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 500 - Returned if an internal server error occurs.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X GET "https://api.atlassian.com/jsm/ops//stakeholder-comms/cloudId/{cloudId}/api/assignments/by_stakeholder/v2?stakeholderId=string&ari=string&aaid=string&emailId=string&stakeholderGroupId=string&atlassianTeamId=string&stakeholderType=string&first=0&after=string&last=0&before=string"
```
```
--------------------------------
### GET /stakeholder-comms/cloudId/{cloudId}/api/stakeholder_groups/by_name/{name}
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Get stakeholder groups by name.
```markdown
### Parameters
- **name** (string, path, required): Name of the stakeholder group.
### Responses
#### 200 - Returned if the request is successful.
**StakeholderCommsStakeholderGroupConnection**
- **nodes** (array (StakeholderCommsStakeholderGroup))
Array items:
- **id** (string): Unique identifier of the stakeholder group.
- **name** (string): Name of the stakeholder group.
- **description** (string): Description of the stakeholder group.
- **ownerId** (string): Identifier of the group owner.
- **logoUrl** (string): URL of the group logo.
- **status** (string (ACTIVE|INACTIVE|SUSPENDED|DELETED)): Status of the stakeholder group. ("ACTIVE"|"INACTIVE"|"SUSPENDED"|"DELETED")
- **insertedAt** (string (date-time)): When the group was created.
- **updatedAt** (string (date-time)): When the group was last updated.
- **services** (array (string)): Service identifiers linked to this group.
- **pageInfo** (object): Pagination information.
- **hasNextPage** (boolean): Whether there is another page of results.
- **endCursor** (string): Cursor for the end of the current page.
- **totalCount** (integer (int32)): Total number of stakeholder groups matching the filter.
#### 400 - Returned if the request is invalid.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 401 - Returned if the authentication credentials are incorrect.
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the user does not have permission to view stakeholder groups.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 404 - Returned if the stakeholder group is not found.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 500 - Returned if an internal server error occurs.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X GET "https://api.atlassian.com/jsm/ops//stakeholder-comms/cloudId/{cloudId}/api/stakeholder_groups/by_name/{name}"
```
```
--------------------------------
### POST /api/{cloudId}/v1/syncs/{syncId}/actions
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Creates a sync action
```markdown
### Parameters
- **syncId** (string, path, required): Id of the sync.
### Request Body
**Content-Type:** application/json
- **type** (string) (required): Type of the action. It can be *create*, *close*, *acknowledge* or *addNote* for incoming actions. Types of outgoing actions can be change according to integration types such as *addComment* or *closeIssue* etc.
- **name** (string) (required): Name of the action.
- **direction** (string (incoming|outgoing)) (required): Direction of the action. It can be *incoming* or *outgoing* ("incoming"|"outgoing")
- **actionGroupType** (string (forwarding|updating|checkbox)): Group type of the action. It can be *forwarding*, *updating* or *checkbox*. It must be provided for outgoing actions ("forwarding"|"updating"|"checkbox")
- **actionMapping** (object): Action mapping of the action.
- **type** (string) (required)
- **parameter** (object)
- **enabled** (boolean): Enabled status of the action.
- **filter** (object) (required): Filter of the action.
- **conditionsEmpty** (boolean)
- **conditionMatchType** (string (match-all|match-any-condition|match-all-conditions)) ("match-all"|"match-any-condition"|"match-all-conditions")
- **conditions** (array (IntegrationConditionDto))
Array items:
- **order** (integer (int32))
- **field** (string) (required)
- **expectedValue** (string)
- **not** (boolean)
- **operation** (string (matches|contains|starts-with|ends-with|equals|contains-key|contains-value|greater-than|less-than|is-empty|equals-ignore-whitespace)) (required) ("matches"|"contains"|"starts-with"|"ends-with"|"equals"|"contains-key"|"contains-value"|"greater-than"|"less-than"|"is-empty"|"equals-ignore-whitespace")
- **key** (string)
- **systemCondition** (boolean)
- **properties** (object): Action specific properties of the action.
- **fieldMappings** (object): The fields mapping between payload and alert fields.
### Responses
#### 200 - Returned if the request is successful
**SyncAction**
- **id** (string): Id of the action.
- **name** (string): Name of the action.
- **type** (string): Type of the action.
- **enabled** (boolean): Enabled status of the action.
- **order** (number (float)): Order of the action.
- **direction** (string (incoming|outgoing)): Direction of the action. ("incoming"|"outgoing")
- **actionGroupId** (string): Id of the action group that the action belongs to.
- **actionMapping** (object): Action mapping of the action.
- **type** (string) (required)
- **parameter** (object)
- **filter** (object): Filter of the action.
- **conditionsEmpty** (boolean)
- **conditionMatchType** (string (match-all|match-any-condition|match-all-conditions)) ("match-all"|"match-any-condition"|"match-all-conditions")
- **conditions** (array (IntegrationConditionDto))
Array items:
- **order** (integer (int32))
- **field** (string) (required)
- **expectedValue** (string)
- **not** (boolean)
- **operation** (string (matches|contains|starts-with|ends-with|equals|contains-key|contains-value|greater-than|less-than|is-empty|equals-ignore-whitespace)) (required) ("matches"|"contains"|"starts-with"|"ends-with"|"equals"|"contains-key"|"contains-value"|"greater-than"|"less-than"|"is-empty"|"equals-ignore-whitespace")
- **key** (string)
- **systemCondition** (boolean)
- **fieldMappings** (object): Field mappings of the action.
- **properties** (object): Properties of the action.
#### 401 - Returned if the authentication credentials are incorrect
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the request user does not have permission to create the sync or operation is not allowed.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 404 - Returned if sync is not found
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 422 - Returned if the payload is not validated
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X POST "https://api.atlassian.com/jsm/ops//api/{cloudId}/v1/syncs/{syncId}/actions" \
-H "Content-Type: application/json" \
-d '{
"type": "string",
"name": "string",
"direction": "incoming",
"actionGroupType": "forwarding",
"actionMapping": "value",
"enabled": "true",
"filter": "value",
"properties": "value",
"fieldMappings": "value"
}'
```
```
--------------------------------
### GET /stakeholder-comms/cloudId/{cloudId}/api/stakeholder_groups/with_stakeholders
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Get stakeholder groups with their stakeholder members.
```markdown
### Parameters
- **first** (integer (int32), query, optional): Number of items to return from the start.
- **after** (string, query, optional): Cursor for forward pagination.
- **last** (integer (int32), query, optional): Number of items to return from the end.
- **before** (string, query, optional): Cursor for backward pagination.
### Responses
#### 200 - Returned if the request is successful.
**StakeholderCommsStakeholderGroupAndStakeholdersConnection**
- **groups** (array (object))
Array items:
- **group** (object): A stakeholder group in Stakeholder Comms.
- **id** (string): Unique identifier of the stakeholder group.
- **name** (string): Name of the stakeholder group.
- **description** (string): Description of the stakeholder group.
- **ownerId** (string): Identifier of the group owner.
- **logoUrl** (string): URL of the group logo.
- **status** (string (ACTIVE|INACTIVE|SUSPENDED|DELETED)): Status of the stakeholder group. ("ACTIVE"|"INACTIVE"|"SUSPENDED"|"DELETED")
- **insertedAt** (string (date-time)): When the group was created.
- **updatedAt** (string (date-time)): When the group was last updated.
- **services** (array (string)): Service identifiers linked to this group.
- **stakeholders** (array (StakeholderCommsStakeholder))
Array items:
- **id** (string): Unique identifier of the stakeholder.
- **ari** (string): Atlassian Resource Identifier for the stakeholder.
- **aaid** (string): Atlassian Account ID.
- **stakeholderGroupId** (string): Group the stakeholder belongs to.
- **atlassianTeamId** (string): Atlassian team ID.
- **type** (string (EXTERNAL|INTERNAL|GROUP|TEAM)): Type of the stakeholder. ("EXTERNAL"|"INTERNAL"|"GROUP"|"TEAM")
- **skipConfirmation** (boolean): Whether confirmation was skipped for this stakeholder.
- **status** (string (ACTIVE|PENDING_IDENTITY_SETUP|INVITED|INVITED_PENDING_APPROVAL|NOT_INVITED|QUARANTINED|DELETED)): Status of the stakeholder. ("ACTIVE"|"PENDING_IDENTITY_SETUP"|"INVITED"|"INVITED_PENDING_APPROVAL"|"NOT_INVITED"|"QUARANTINED"|"DELETED")
- **notificationPreference** (object): Notification preference details for a stakeholder.
- **id** (string): Identifier of the notification preference.
- **emailId** (string): Email address for notifications.
- **phoneNumber** (string): Phone number for SMS notifications.
- **phoneCountry** (string): Country code for the phone number.
- **webhook** (string): Webhook URL for notifications.
- **preference** (object): Per-channel notification enablement settings.
- **email** (object)
- **enabled** (boolean)
- **sms** (object)
- **webhook** (object)
- **insertedAt** (string (date-time)): When the preference was created.
- **updatedAt** (string (date-time)): When the preference was last updated.
- **insertedAt** (string (date-time)): When the stakeholder was created.
- **updatedAt** (string (date-time)): When the stakeholder was last updated.
- **name** (string): Display name of the stakeholder (from identity provider).
- **avatar** (string): Avatar URL for the stakeholder.
- **groups** (array (StakeholderCommsStakeholderGroupRef)): Groups the stakeholder belongs to.
Array items:
- **id** (string): Identifier of the group.
- **name** (string): Name of the group.
- **avatar** (string): Avatar URL for the group.
- **pageInfo** (object): Pagination information.
- **hasNextPage** (boolean): Whether there is another page of results.
- **endCursor** (string): Cursor for the end of the current page.
- **hasPreviousPage** (boolean): Whether there is a previous page of results.
- **startCursor** (string): Cursor for the start of the current page.
- **totalCount** (integer (int32)): Total number of groups.
- **error** (string): Error message, if the operation was not successful.
#### 400 - Returned if the request is invalid.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 401 - Returned if the authentication credentials are incorrect.
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the user does not have permission to view stakeholder groups.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 500 - Returned if an internal server error occurs.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X GET "https://api.atlassian.com/jsm/ops//stakeholder-comms/cloudId/{cloudId}/api/stakeholder_groups/with_stakeholders?first=0&after=string&last=0&before=string"
```
```
--------------------------------
### GET /api/{cloudId}/v1/schedules
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Lists all schedules that user can view. It optionally takes two parameters - offset and size.
**Permissions required:** Permission to access Jira Service Management; however, the list contains a schedule if:
- the user has read-only administrative right.
- the schedule's assigned team is one of the teams that the user belongs to.
- the user is added to a rotation of the schedule as a responder.
- a team is added to a rotation of the schedule as a responder, and the user is a member of this team.
- an escalation is added to a rotation of the schedule as a responder, and the user is a member of this escalation.
- there is an override to the user in the schedule.
```markdown
### Parameters
- **query** (string, query, optional): The query keyword to filter schedules by name.
It performs an exact match unless the keyword ends with a wildcard character `*`, in which case it performs a prefix match. Matching is case-insensitive.
- **size** (integer (int32), query, optional): The limit parameter controls the maximum number of items that may be returned for a single request.
- **offset** (integer (int32), query, optional): The offset parameter controls the starting point within the collection of resource results.
- **expand** (array (string), query, optional): The list of possible expansions in the response. Possible values: `rotation`.
### Responses
#### 200 - Returned if the request is successful.
**ListSchedulesResponse**
- **values** (array (Schedule)): List of the schedules.
Array items:
- **id** (string): ID of the schedule. (example: "f8f2a4ec-54b2-4513-865b-8cb3b81c9544")
- **name** (string): Name of the schedule. (example: "Support Schedule")
- **description** (string): Description of the schedule. (example: "On-call schedule for support team")
- **timezone** (string): Time zone ID of the schedule. (example: "America/New_York")
- **enabled** (boolean): Indicates whether the schedule is enabled or not. (example: true)
- **teamId** (string): ID of the team that schedule belongs to. (example: "cd68207b-c55d-4611-ab25-72fd0c439e9f")
- **rotations** (array (Rotation)): Rotation details of the schedule.
Array items:
- **id** (string): ID of the rotation. (example: "3ce33f53-69be-4b92-8d34-a1df0efe642e")
- **name** (string): Name of the rotation. (example: "Daily rotation")
- **startDate** (string (date-time)): Start time of the rotation. (example: "2023-11-10T05:00:00Z")
- **endDate** (string (date-time)): End time of the rotation. (example: "2024-04-28T10:00:00Z")
- **type** (string (daily|weekly|hourly)): Type of the rotation. (example: "weekly") ("daily"|"weekly"|"hourly")
- **length** (integer (int32)): Length of the rotation based on type. (example: 2)
- **participants** (array (ResponderInfo)): List of participants of the rotation. (example: [{"type":"user","id":"14a994fd-78c6-4236-8b83-d107e5d32d6a"},{"type":"team","id":"2ad4505d-d7a9-4997-8745-c40a3b641573"}])
Array items:
- **type** (string (user|team|escalation|noone)) (required): Type of the responder. (example: "user") ("user"|"team"|"escalation"|"noone")
- **id** (string): ID of the responder. Null if the type is `noone`. (example: "14a994fd-78c6-4236-8b83-d107e5d32d6a")
- **timeRestriction** (object)
- **type** (string): Type of the time restriction. (example: "time-of-day")
- **restriction** (object): Details of the time restriction. Returned if the type of the time restriction is `time-of-day`.
- **startHour** (integer (int32)): Start hour of the time restriction. (example: 10)
- **endHour** (integer (int32)): End hour of the time restriction. (example: 20)
- **startMin** (integer (int32)): Start minute of the time restriction. (example: 30)
- **endMin** (integer (int32)): End minute of the time restriction. (example: 0)
- **links** (object): Links for the other pages.
- **next** (string): Link to the next page of results. (example: "/v1/schedules?offset=50&size=25")
- **_expands** (array (string)): List of all possible expansions. (example: ["rotation"])
#### 401 - Returned if the authentication credentials are incorrect.
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 422 - Returned if the query parameters cannot be validated.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X GET "https://api.atlassian.com/jsm/ops//api/{cloudId}/v1/schedules?query=string&size=25&offset=0&expand=item1,item2"
```
```
--------------------------------
### GET /stakeholder-comms/cloudId/{cloudId}/api/stakeholders/by_assignment/v2
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Get a paginated list of stakholders by assignment.
```markdown
### Parameters
- **assignmentId** (string, query, optional): Assignment identifier.
- **ari** (string, query, optional): Atlassian Resource Identifier of the assignment.
- **assignmentType** (string, query, optional): Type of the assignment.
- **externalAssignmentId** (string, query, optional): External system assignment identifier.
- **first** (integer (int32), query, optional): Number of items to return from the start.
- **after** (string, query, optional): Cursor for forward pagination.
- **last** (integer (int32), query, optional): Number of items to return from the end.
- **before** (string, query, optional): Cursor for backward pagination.
### Responses
#### 200 - Returned if the request is successful.
**StakeholderCommsStakeholderPaginatedResponse**
- **stakeholders** (array (StakeholderCommsStakeholder))
Array items:
- **id** (string): Unique identifier of the stakeholder.
- **ari** (string): Atlassian Resource Identifier for the stakeholder.
- **aaid** (string): Atlassian Account ID.
- **stakeholderGroupId** (string): Group the stakeholder belongs to.
- **atlassianTeamId** (string): Atlassian team ID.
- **type** (string (EXTERNAL|INTERNAL|GROUP|TEAM)): Type of the stakeholder. ("EXTERNAL"|"INTERNAL"|"GROUP"|"TEAM")
- **skipConfirmation** (boolean): Whether confirmation was skipped for this stakeholder.
- **status** (string (ACTIVE|PENDING_IDENTITY_SETUP|INVITED|INVITED_PENDING_APPROVAL|NOT_INVITED|QUARANTINED|DELETED)): Status of the stakeholder. ("ACTIVE"|"PENDING_IDENTITY_SETUP"|"INVITED"|"INVITED_PENDING_APPROVAL"|"NOT_INVITED"|"QUARANTINED"|"DELETED")
- **notificationPreference** (object): Notification preference details for a stakeholder.
- **id** (string): Identifier of the notification preference.
- **emailId** (string): Email address for notifications.
- **phoneNumber** (string): Phone number for SMS notifications.
- **phoneCountry** (string): Country code for the phone number.
- **webhook** (string): Webhook URL for notifications.
- **preference** (object): Per-channel notification enablement settings.
- **email** (object)
- **enabled** (boolean)
- **sms** (object)
- **webhook** (object)
- **insertedAt** (string (date-time)): When the preference was created.
- **updatedAt** (string (date-time)): When the preference was last updated.
- **insertedAt** (string (date-time)): When the stakeholder was created.
- **updatedAt** (string (date-time)): When the stakeholder was last updated.
- **name** (string): Display name of the stakeholder (from identity provider).
- **avatar** (string): Avatar URL for the stakeholder.
- **groups** (array (StakeholderCommsStakeholderGroupRef)): Groups the stakeholder belongs to.
Array items:
- **id** (string): Identifier of the group.
- **name** (string): Name of the group.
- **avatar** (string): Avatar URL for the group.
- **pageInfo** (object): Pagination information.
- **hasNextPage** (boolean): Whether there is another page of results.
- **endCursor** (string): Cursor for the end of the current page.
- **hasPreviousPage** (boolean): Whether there is a previous page of results.
- **startCursor** (string): Cursor for the start of the current page.
- **totalCount** (integer (int32)): Total number of stakeholders.
- **error** (string): Error message, if the operation was not successful.
#### 400 - Returned if the request is invalid.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 401 - Returned if the authentication credentials are incorrect.
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the user does not have permission to view stakeholders.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 500 - Returned if an internal server error occurs.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X GET "https://api.atlassian.com/jsm/ops//stakeholder-comms/cloudId/{cloudId}/api/stakeholders/by_assignment/v2?assignmentId=string&ari=string&assignmentType=string&externalAssignmentId=string&first=0&after=string&last=0&before=string"
```
```
--------------------------------
### POST /api/{cloudId}/v1/syncs
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Creates a sync for syncing alerts created and issues in a selected project.
- The user should have sync creation permission.
```markdown
### Request Body
**Content-Type:** application/json
- **name** (string) (required): Name of the sync. Name must be unique for each sync.
- **description** (string): Description of the sync.
- **enabled** (boolean): This parameter is for specifying whether the integration will be enabled or not. Defaults to false
- **teamId** (string): Owner team of the sync, consisting id of the owner team.
- **type** (string) (required): Type of the sync. (For instance, "jira-software-cloud" for Jira Software Cloud Sync.)
- **properties** (object): Sync specific properties may be provided to this object.
For instance, this map should consist
- *projectKey* (example: {"projectKey":"JE"})
### Responses
#### 200 - Returned if the request is successful
**SyncMetadata**
- **id** (string): Id of the sync.
- **name** (string): Name of the sync.
- **type** (string): Type of the sync. (For instance, "jira-software-cloud" for Jira Software Cloud Sync.)
- **enabled** (boolean): This parameter is for specifying whether the sync will be enabled or not. Defaults to false
- **teamId** (string): Owner team of the sync, consisting id of the owner team.
#### 401 - Returned if the authentication credentials are incorrect
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the request user does not have permission to create the sync or operation is not allowed.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 422 - Returned if the payload is not validated
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X POST "https://api.atlassian.com/jsm/ops//api/{cloudId}/v1/syncs" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"description": "string",
"enabled": "true",
"teamId": "string",
"type": "string",
"properties": {
"projectKey": "JE"
}
}'
```
```
--------------------------------
### GET /stakeholder-comms/cloudId/{cloudId}/api/incidents/templates/{incidentTemplateId}
Source: https://dac-static.atlassian.com/cloud/jira/service-desk-ops/swagger.v3.json
Get an incident template by its ID.
```markdown
### Parameters
- **incidentTemplateId** (string, path, required): Identifier of the incident template.
### Responses
#### 200 - Returned if the request is successful.
**StakeholderCommsIncidentTemplateResponse**
- **incidentTemplate** (object): Incident template used by Stakeholder Comms.
- **id** (string): Identifier of the incident template.
- **pageId** (string): Page this template belongs to.
- **name** (string): Name of the template.
- **body** (string): Body content of the template.
- **title** (string): Title of the template.
- **groupId** (string): Group identifier for the template.
- **updateStatus** (string (INVESTIGATING|IDENTIFIED|MONITORING|RESOLVED)): Status to set when using this template. ("INVESTIGATING"|"IDENTIFIED"|"MONITORING"|"RESOLVED")
- **shouldTweet** (boolean): Whether to post a tweet when this template is used.
- **shouldSendNotifications** (boolean): Whether to send notifications when this template is used.
- **createAt** (string (date-time)): When the template was created.
- **updatedAt** (string (date-time)): When the template was last updated.
- **error** (string): Error message, if the operation was not successful.
#### 400 - Returned if the request is invalid.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 401 - Returned if the authentication credentials are incorrect.
**UnauthorizedErrorResponse**
- **code** (integer)
- **message** (string)
#### 403 - Returned if the user does not have permission to view the incident template.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 404 - Returned if the incident template is not found.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
#### 500 - Returned if an internal server error occurs.
**ErrorResponses**
- **errors** (array (ErrorResponse))
Array items:
- **title** (string)
- **code** (string)
### Example Usage
```bash
curl -X GET "https://api.atlassian.com/jsm/ops//stakeholder-comms/cloudId/{cloudId}/api/incidents/templates/{incidentTemplateId}"
```
```